// $Id: Main.java,v 1.10 2004/03/14 01:48:53 m31 Exp $
//
// This file is part of the program suite "Principia Mathematica II"
// which is a working prototype for the main project:
// "Hilbert II" - http://www.qedeq.org
//
// Copyright 2001-2004  Michael Meyling <mime@qedeq.org>.
//
// "Principia Mathematica II" is free software; you can redistribute
// it and/or modify it under the terms of the GNU General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.

package com.meyling.principia;

import com.meyling.principia.module.ModuleContext;


/**
 * This demonstrates various calls of Principia Mathematica II.
 *
 * @version $Revision: 1.10 $
 * @author  Michael Meyling
 */
public class Main {


    public static void main(String[] args) {

        try {
            PmiiFacade.init();

            final String versionDir = ModuleContext.getVersionDirectory();

            System.out.println("versionDir = " + versionDir);

            CheckModule.doIt(new String[] {
              "http://www.qedeq.org/" + versionDir + "/proptheo1_1.00.00_1.00.00.qedeq",
              // the following three should have errors:
              "http://www.qedeq.org/" + versionDir + "/properror1_1.00.00_1.00.00.qedeq",
              "http://www.qedeq.org/" + versionDir + "/properror2_1.00.00_1.00.00.qedeq",
              "http://www.qedeq.org/" + versionDir + "/properror3_1.00.00_1.00.00.qedeq",
            });

            MakeHtmlModule.doIt(new String[] {
              "http://www.qedeq.org/" + versionDir + "/propaxiom_1.00.00_1.00.00.qedeq",
              "http://www.qedeq.org/" + versionDir + "/proptheo1_1.00.00_1.00.00.qedeq",
              "http://www.qedeq.org/" + versionDir + "/proptheo2_1.00.00_1.00.00.qedeq",
              "http://www.qedeq.org/" + versionDir + "/predaxiom_1.00.00_1.00.00.qedeq",
              "http://www.qedeq.org/" + versionDir + "/predtheo1_1.00.00_1.00.00.qedeq",
              "http://www.qedeq.org/" + versionDir + "/predtheo2_1.00.00_1.00.00.qedeq"
            });

            MakeLatexModule.doIt(new String[] {
              "http://www.qedeq.org/" + versionDir + "/propaxiom_1.00.00_1.00.00.qedeq",
              "http://www.qedeq.org/" + versionDir + "/proptheo1_1.00.00_1.00.00.qedeq",
              "http://www.qedeq.org/" + versionDir + "/proptheo2_1.00.00_1.00.00.qedeq",
              "http://www.qedeq.org/" + versionDir + "/predaxiom_1.00.00_1.00.00.qedeq",
              "http://www.qedeq.org/" + versionDir + "/predtheo1_1.00.00_1.00.00.qedeq",
              "http://www.qedeq.org/" + versionDir + "/predtheo2_1.00.00_1.00.00.qedeq"
            });

            MakeCompressedModule.doIt(new String[] {
              "http://www.qedeq.org/" + versionDir + "/prophilbert3_1.00.00_1.02.00.qedeq"
            });

            MakeReducedModule.doIt(new String[] {
              "http://www.qedeq.org/" + versionDir + "/prophilbert1_1.00.00_1.02.00.qedeq"
            });

            PmiiFacade.shutdown();
            
        } catch (Exception e) {
            e.printStackTrace();
        }

    }
}
